List Prompts
GEThttps://api.confident-ai.com/v1/prompts
Lists all the available prompts in your Confident AI project.
curl -X GET "https://api.confident-ai.com/v1/prompts" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"prompts": [
{
"id": "PROMPT-ID",
"alias": "PROMPT-ALIAS",
"type": "TEXT"
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanThis is true if the prompts were successfully retrieved.
dataobjectThis maps to all the prompts retrieved.
Show 1 propertyHide 1 property
promptslist of objectsShow 3 propertiesHide 3 properties
idstringThis is the unique id of the dataset.
aliasstringThis is the alias of the dataset, which is unique within your project.
typeenumThis is the type of the prompt (TEXT or LIST).
Show 2 enum valuesHide 2 enum values
TEXTLIST
deprecatedbooleanThis is true if this prompts endpoint is deprecated.